NX Open C++ Reference Guide
|
Represents a Tooling::BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend . More...
Public Types | |
enum | BendingDirectionOption { BendingDirectionOptionUp, BendingDirectionOptionDown } |
the bending direction. More... | |
enum | BendTypeOption { BendTypeOptionSbend, BendTypeOptionAbend, BendTypeOptionZbend, BendTypeOptionVbend, BendTypeOptionUzbend } |
the bend type. More... | |
enum | BlankPositions { BlankPositionsPunchPlate, BlankPositionsStripperPlate } |
Specifies the blank position. More... | |
enum | InsertTypeOption { InsertTypeOptionPunch, InsertTypeOptionDie } |
the insert type. More... | |
enum | ParentOption { ParentOptionSub } |
the parent node. More... | |
enum | Types { TypesStandard, TypesUserDefined, TypesDelete } |
the bending operation. More... | |
Public Member Functions | |
void | AddInsertComponent () |
Add the new bend insert component Created in NX8.0.0. | |
NXOpen::ScCollector * | BendFace () |
Returns the bend face. | |
NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption | BendingDirection () |
Returns the bending direction. | |
NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption | BendType () |
Returns the bend type. | |
NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions | BlankPosition () |
Returns the blank position in punch plate or stripper plate. | |
double | BottomPlateClearance () |
Returns the clearance value of bottom backing plate. | |
bool | CompositeInsert () |
Returns the composite insert. | |
bool | ConceptDesign () |
Returns the concept design option. | |
double | DiePlateClearance () |
Returns the clearance value of die plate. | |
NXOpen::Expression * | Extend () |
Returns the extend. | |
NXOpen::Expression * | ExtrudeEnd () |
Returns the extrude end, A half when composite insert. | |
NXOpen::Expression * | ExtrudeEnd1 () |
Returns the extrude end B -half. | |
NXOpen::Section * | ExtrudeSketch () |
Returns the extrude sketch. | |
NXOpen::Expression * | ExtrudeStart () |
Returns the extrude start, A half when composite insert. | |
NXOpen::Expression * | ExtrudeStart1 () |
Returns the extrude start - B half. | |
bool | FalseBody () |
Returns the false body creation option. | |
NXOpen::Assemblies::SelectComponentList * | InsertComponent () |
Returns the select insert to delete Created in NX8.0.0. | |
NXOpen::Assemblies::SelectComponentList * | InsertToEdit () |
Returns the select insert to edit Created in NX8.0.0. | |
NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption | InsertType () |
Returns the insert type. | |
NXOpen::Plane * | IntersectPlane () |
Returns the intersect plane. | |
bool | IsAutoDatum () |
Returns the auto datum plane Created in NX8.0.0. | |
NXString | NewPartName () |
Returns the new component name. | |
NXOpen::Tooling::BendInsertDesignBuilder::ParentOption | ParentNode () |
Returns the parent node. | |
NXString | ParentPartName () |
Returns the parent part name to create insert. | |
double | PunchPlateClearance () |
Returns the clearance value of punch plate. | |
bool | ReName () |
Returns the rename option. | |
void | SetAutoDatum (bool isInner) |
Sets the auto datum plane Created in NX8.0.0. | |
void | SetBendingDirection (NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption bendingDirection) |
Sets the bending direction. | |
void | SetBendType (NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption bendType) |
Sets the bend type. | |
void | SetBlankPosition (NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions blankPosition) |
Sets the blank position in punch plate or stripper plate. | |
void | SetBottomPlateClearance (double bottomPlateClr) |
Sets the clearance value of bottom backing plate. | |
void | SetCompositeInsert (bool compositeInsert) |
Sets the composite insert. | |
void | SetConceptDesign (bool conceptDesign) |
Sets the concept design option. | |
void | SetDiePlateClearance (double diePlateClr) |
Sets the clearance value of die plate. | |
void | SetFaces (const std::vector< NXOpen::Face * > &faceOccs) |
Sets the face occurrences into builder attribute. | |
void | SetFalseBody (bool falseBody) |
Sets the false body creation option. | |
void | SetInsertType (NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption insertType) |
Sets the insert type. | |
void | SetIntersectPlane (NXOpen::Plane *intersectPlane) |
Sets the intersect plane. | |
void | SetNewPartName (const NXString &newPartNames) |
Sets the new component name. | |
void | SetNewPartName (const char *newPartNames) |
Sets the new component name. | |
void | SetParentNode (NXOpen::Tooling::BendInsertDesignBuilder::ParentOption parentNode) |
Sets the parent node. | |
void | SetParentPartName (const NXString &parentPart) |
Sets the parent part name to create insert. | |
void | SetParentPartName (const char *parentPart) |
Sets the parent part name to create insert. | |
void | SetPunchPlateClearance (double punchPlateClr) |
Sets the clearance value of punch plate. | |
void | SetReName (bool reName) |
Sets the rename option. | |
void | SetStripperPlateClearance (double stripperPlateClr) |
Sets the clearance value of stripper plate. | |
void | SetType (NXOpen::Tooling::BendInsertDesignBuilder::Types type) |
Sets the operation type of bending insert design. | |
void | SetUseBottomPlateClearance (bool useBPClearance) |
Sets the option to use bottom backing plate clearance. | |
void | SetUseDiePlateClearance (bool useDPClearance) |
Sets the option to use die plate clearance. | |
void | SetUsePunchPlateClearance (bool usePPClearance) |
Sets the option to use punch plate clearance. | |
void | SetUseStripperPlateClearance (bool useSPClearance) |
Sets the option to use stripper plate clearance. | |
double | StripperPlateClearance () |
Returns the clearance value of stripper plate. | |
NXOpen::Tooling::BendInsertDesignBuilder::Types | Type () |
Returns the operation type of bending insert design. | |
bool | UseBottomPlateClearance () |
Returns the option to use bottom backing plate clearance. | |
bool | UseDiePlateClearance () |
Returns the option to use die plate clearance. | |
bool | UsePunchPlateClearance () |
Returns the option to use punch plate clearance. | |
bool | UseStripperPlateClearance () |
Returns the option to use stripper plate clearance. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend .
To create a new instance of this class, use Tooling::BendInsertDesignCollection::CreateBendInsertDesignBuilder
Default values.
Property | Value |
---|---|
BendType |
Sbend |
BendingDirection |
Down |
BlankPosition |
PunchPlate |
BottomPlateClearance |
0 |
CompositeInsert |
0 |
ConceptDesign |
0 |
DiePlateClearance |
0 |
Extend.Value |
5 (millimeters part), 1 (inches part) |
ExtrudeEnd.Value |
5 (millimeters part), 1 (inches part) |
ExtrudeStart.Value |
0 (millimeters part), 0 (inches part) |
FalseBody |
0 |
InsertType |
Punch |
ParentNode |
Sub |
PunchPlateClearance |
0 |
ReName |
0 |
StripperPlateClearance |
0 |
Type |
Standard |
UseBottomPlateClearance |
0 |
UseDiePlateClearance |
0 |
UsePunchPlateClearance |
0 |
UseStripperPlateClearance |
0 |
Created in NX8.0.0.
void NXOpen::Tooling::BendInsertDesignBuilder::AddInsertComponent | ( | ) |
Add the new bend insert component
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::ScCollector* NXOpen::Tooling::BendInsertDesignBuilder::BendFace | ( | ) |
Returns the bend face.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption NXOpen::Tooling::BendInsertDesignBuilder::BendingDirection | ( | ) |
Returns the bending direction.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption NXOpen::Tooling::BendInsertDesignBuilder::BendType | ( | ) |
Returns the bend type.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions NXOpen::Tooling::BendInsertDesignBuilder::BlankPosition | ( | ) |
Returns the blank position in punch plate or stripper plate.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BendInsertDesignBuilder::BottomPlateClearance | ( | ) |
Returns the clearance value of bottom backing plate.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::CompositeInsert | ( | ) |
Returns the composite insert.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::ConceptDesign | ( | ) |
Returns the concept design option.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BendInsertDesignBuilder::DiePlateClearance | ( | ) |
Returns the clearance value of die plate.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::Extend | ( | ) |
Returns the extend.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeEnd | ( | ) |
Returns the extrude end, A half when composite insert.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeEnd1 | ( | ) |
Returns the extrude end B -half.
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeSketch | ( | ) |
Returns the extrude sketch.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeStart | ( | ) |
Returns the extrude start, A half when composite insert.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeStart1 | ( | ) |
Returns the extrude start - B half.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::FalseBody | ( | ) |
Returns the false body creation option.
Created in NX8.0.0.
License requirements : None
NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::BendInsertDesignBuilder::InsertComponent | ( | ) |
Returns the select insert to delete
Created in NX8.0.0.
License requirements : None
NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::BendInsertDesignBuilder::InsertToEdit | ( | ) |
Returns the select insert to edit
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption NXOpen::Tooling::BendInsertDesignBuilder::InsertType | ( | ) |
Returns the insert type.
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Tooling::BendInsertDesignBuilder::IntersectPlane | ( | ) |
Returns the intersect plane.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::IsAutoDatum | ( | ) |
Returns the auto datum plane
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::BendInsertDesignBuilder::NewPartName | ( | ) |
Returns the new component name.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::ParentOption NXOpen::Tooling::BendInsertDesignBuilder::ParentNode | ( | ) |
Returns the parent node.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::BendInsertDesignBuilder::ParentPartName | ( | ) |
Returns the parent part name to create insert.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::BendInsertDesignBuilder::PunchPlateClearance | ( | ) |
Returns the clearance value of punch plate.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::ReName | ( | ) |
Returns the rename option.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::BendInsertDesignBuilder::SetAutoDatum | ( | bool | isInner | ) |
Sets the auto datum plane
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
isInner | isinner |
void NXOpen::Tooling::BendInsertDesignBuilder::SetBendingDirection | ( | NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption | bendingDirection | ) |
Sets the bending direction.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
bendingDirection | bendingdirection |
void NXOpen::Tooling::BendInsertDesignBuilder::SetBendType | ( | NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption | bendType | ) |
Sets the bend type.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
bendType | bendtype |
void NXOpen::Tooling::BendInsertDesignBuilder::SetBlankPosition | ( | NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions | blankPosition | ) |
Sets the blank position in punch plate or stripper plate.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
blankPosition | blankposition |
void NXOpen::Tooling::BendInsertDesignBuilder::SetBottomPlateClearance | ( | double | bottomPlateClr | ) |
Sets the clearance value of bottom backing plate.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
bottomPlateClr | bottomplateclr |
void NXOpen::Tooling::BendInsertDesignBuilder::SetCompositeInsert | ( | bool | compositeInsert | ) |
Sets the composite insert.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
compositeInsert | compositeinsert |
void NXOpen::Tooling::BendInsertDesignBuilder::SetConceptDesign | ( | bool | conceptDesign | ) |
Sets the concept design option.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
conceptDesign | conceptdesign |
void NXOpen::Tooling::BendInsertDesignBuilder::SetDiePlateClearance | ( | double | diePlateClr | ) |
Sets the clearance value of die plate.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
diePlateClr | dieplateclr |
void NXOpen::Tooling::BendInsertDesignBuilder::SetFaces | ( | const std::vector< NXOpen::Face * > & | faceOccs | ) |
Sets the face occurrences into builder attribute.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
faceOccs | array of face occurrences |
void NXOpen::Tooling::BendInsertDesignBuilder::SetFalseBody | ( | bool | falseBody | ) |
Sets the false body creation option.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
falseBody | falsebody |
void NXOpen::Tooling::BendInsertDesignBuilder::SetInsertType | ( | NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption | insertType | ) |
Sets the insert type.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
insertType | inserttype |
void NXOpen::Tooling::BendInsertDesignBuilder::SetIntersectPlane | ( | NXOpen::Plane * | intersectPlane | ) |
Sets the intersect plane.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
intersectPlane | intersectplane |
void NXOpen::Tooling::BendInsertDesignBuilder::SetNewPartName | ( | const NXString & | newPartNames | ) |
Sets the new component name.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
newPartNames | Specifies the new component name |
void NXOpen::Tooling::BendInsertDesignBuilder::SetNewPartName | ( | const char * | newPartNames | ) |
Sets the new component name.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
newPartNames | Specifies the new component name |
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentNode | ( | NXOpen::Tooling::BendInsertDesignBuilder::ParentOption | parentNode | ) |
Sets the parent node.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentNode | parentnode |
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentPartName | ( | const NXString & | parentPart | ) |
Sets the parent part name to create insert.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentPart | Specifies the parent part name |
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentPartName | ( | const char * | parentPart | ) |
Sets the parent part name to create insert.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
parentPart | Specifies the parent part name |
void NXOpen::Tooling::BendInsertDesignBuilder::SetPunchPlateClearance | ( | double | punchPlateClr | ) |
Sets the clearance value of punch plate.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
punchPlateClr | punchplateclr |
void NXOpen::Tooling::BendInsertDesignBuilder::SetReName | ( | bool | reName | ) |
Sets the rename option.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
reName | rename |
void NXOpen::Tooling::BendInsertDesignBuilder::SetStripperPlateClearance | ( | double | stripperPlateClr | ) |
Sets the clearance value of stripper plate.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
stripperPlateClr | stripperplateclr |
void NXOpen::Tooling::BendInsertDesignBuilder::SetType | ( | NXOpen::Tooling::BendInsertDesignBuilder::Types | type | ) |
Sets the operation type of bending insert design.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseBottomPlateClearance | ( | bool | useBPClearance | ) |
Sets the option to use bottom backing plate clearance.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
useBPClearance | usebpclearance |
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseDiePlateClearance | ( | bool | useDPClearance | ) |
Sets the option to use die plate clearance.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
useDPClearance | usedpclearance |
void NXOpen::Tooling::BendInsertDesignBuilder::SetUsePunchPlateClearance | ( | bool | usePPClearance | ) |
Sets the option to use punch plate clearance.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
usePPClearance | useppclearance |
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseStripperPlateClearance | ( | bool | useSPClearance | ) |
Sets the option to use stripper plate clearance.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
useSPClearance | usespclearance |
double NXOpen::Tooling::BendInsertDesignBuilder::StripperPlateClearance | ( | ) |
Returns the clearance value of stripper plate.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::BendInsertDesignBuilder::Types NXOpen::Tooling::BendInsertDesignBuilder::Type | ( | ) |
Returns the operation type of bending insert design.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::UseBottomPlateClearance | ( | ) |
Returns the option to use bottom backing plate clearance.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::UseDiePlateClearance | ( | ) |
Returns the option to use die plate clearance.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::UsePunchPlateClearance | ( | ) |
Returns the option to use punch plate clearance.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::BendInsertDesignBuilder::UseStripperPlateClearance | ( | ) |
Returns the option to use stripper plate clearance.
Created in NX8.0.0.
License requirements : None